## SQL Backend config
# http://docs.sqlalchemy.org/en/rel_0_7/core/engines.html
# rfc 1738 https://tools.ietf.org/html/rfc1738
# dialect+driver://username:password@host:port/database
db_url = 'postgresql://mandaye-cud@/mandaye_cud'

## Logging configuration
debug = False

# Configuration directory
config_root = '/etc/mandaye-cud/sites-enabled'
# Static folder
static_root = '/usr/share/mandaye-cud/static'
# Data directory
data_dir = '/var/lib/mandaye-cud/data'

# Raven Sentry configuration
raven_dsn = None

## Email notification configuration
email_notification = False
smtp_host = 'localhost'
smtp_port = 25
email_from = 'admin+mandaye-cud@entrouvert.com'
email_to = ['admin+mandaye-cud@entrouvert.com']


## Session configuration
# http://beaker.readthedocs.org/en/latest/configuration.html#options-for-sessions-and-caching
session_opts = {
        'session.type': 'file',
        'session.cookie_expires': True,
        'session.timeout': 3600,
        'session.data_dir': '/var/lib/mandaye-cud/sessions'
}

## Encrypt service provider passwords with a secret
# You should install pycypto to use this feature
encrypt_sp_password = True
# Must be a 16, 24, or 32 bytes long
encrypt_secret = 'CHANGEME'

